﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentNHibernate.Mapping;
using LeandroPrado.FluentNHibernate.Domain.Entidades;

namespace LeandroPrado.FluentNHibernate.Domain.Mapeamento
{
    public class DepartamentoMap : ClassMap<Departamento>
    {
        public DepartamentoMap()
        {
            Id(x => x.Codigo).GeneratedBy.Identity();

            Map(x => x.Nome)
                .Not.Nullable()
                .Length(255);

            Map(x => x.Descricao)
                .Length(255);

            Map(x => x.DataCadastro)
                .Not.Nullable();

            HasMany(m => m.Pessoas);
        }
    }
}