﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LeandroPrado.FluentNHibernate.Domain.Entidades
{
    public class Pessoa
    {
        public virtual int Codigo { get; set; }
        public virtual string Nome { get; set; }
        public virtual string Endereco { get; set; }
        public virtual string Cep { get; set; }
        public virtual string Email { get; set; }
        public virtual DateTime DataCadastro { get; set; }

        public virtual Status Status { get; set; }
        public virtual Departamento Departamento { get; set; }
        public virtual IList<Grupo> Grupos { get; set; }
        public virtual IList<Telefone> Telefones { get; set; }

        public Pessoa()
        {
            this.Grupos = new List<Grupo>();
            this.Telefones = new List<Telefone>();
        }
    }
}